![alt text](logo_small.png "Logo")

Preql (*pronounced: Prequel*) is an interpreted relational query language.

It is designed for use by data engineers, analyists and data scientists.

* Preql compiles to SQL at runtime. It has the performance and abilities of SQL, and much more.

* Programmer-friendly syntax and semantics, with gradual type-checking, inspired by Typescript and Python

* Interface through Python, HTTP or a terminal environment with autocompletion

* Escape hatch to SQL, for all those databse-specific features we didn't think to include

* Support for Postgres, MySQL and Sqlite. (more planned!)

(Preql is currently at the alpha stage, and isn't ready for production use yet)

# Get started

Simply install via pip:

```bash
    pip install -U prql
```

Then just run the interpeter:

```bash
    preql
```

Requires Python 3.8+

# Documentation

[Read here](https://preql.readthedocs.io/en/latest/)

# Contributions

Code contributions are welcome!

By submitting a contribution, you assign to Preql all right, title and interest in any copyright you have in the Contribution, and you waive any rights, including any moral rights, that may affect our ownership of the copyright in the Contribution.

# License

Preql uses an “Interface-Protection Clause” on top of the MIT license.

See: [LICENSE](LICENSE)

In simple words, it can be used for any commercial or non-commercial purpose, as long as your product doesn't base its value on exposing the Preql language itself to your users.

If you want to add the Preql language interface as a user-facing part of your commercial product, contact us for a commercial license.
